Re-open Wikibooks Bashkir
Closed, ResolvedPublic

Description

The language committee and WMF Board have approved the creation of Wikibooks Bashkir.

  • Local file uploads: disabled

Thank you.

Namespace localization is handled in several subtasks.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2017, 11:09 PM

I'll create the initial configuration.

Ebe123 added a subscriber: Ebe123.Aug 16 2017, 11:22 PM

Is this about reopening the wiki? It already exist, but it is closed. https://ba.wikibooks.org/wiki/%D0%91%D0%B0%D1%88_%D0%B1%D0%B8%D1%82 .

Ebe123 renamed this task from Create Wikibooks Bashkir to Re-open Wikibooks Bashkir.Aug 16 2017, 11:32 PM

What would be left is the logo change (and unlocking).

What would be left is the logo change (and unlocking).

For sure, I'll check if everything is set as requested now and reopen the wiki. You don't have to worry. But I'm awaiting confirmation from @MF-Warburg (or other member of the Committee) to avoid mistakes.

Sorry, I didn't see the wiki already exists. I deleted the few pages which still were in it now.

That's great. Will do the reopening then :).

Change 372212 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Reopen bawikibooks

https://gerrit.wikimedia.org/r/372212

@MF-Warburg If you think it is needed, there are still some pages in the wiki, although they aren't in the main namespace). See the following list of those pages (if you are not familiar with internal NS numbers, they are listed at https://www.mediawiki.org/wiki/Manual:Namespace). I don't know if they should be deleted too, it is up to you.

MariaDB [bawikibooks_p]> select page_title, page_namespace from page;
+---------------------------------------------------------------------------------------------------------------+----------------+
| page_title                                                                                                    | page_namespace |
+---------------------------------------------------------------------------------------------------------------+----------------+
| Az1568                                                                                                        |              2 |
| Barras                                                                                                        |              2 |
| Bastique                                                                                                      |              2 |
| Cbrown1023                                                                                                    |              2 |
| DerHexer                                                                                                      |              2 |
| Diego_Grez                                                                                                    |              2 |
| Diego_Grez-Cañete                                                                                             |              2 |
| Drini                                                                                                         |              2 |
| Dungodung                                                                                                     |              2 |
| EVula                                                                                                         |              2 |
| EVula/header                                                                                                  |              2 |
| Erkan_Yilmaz                                                                                                  |              2 |
| Jon_Harald_Søby                                                                                               |              2 |
| Jorunn~bawikibooks                                                                                            |              2 |
| Korg                                                                                                          |              2 |
| Korg/monobook.js                                                                                              |              2 |
| Küñall                                                                                                        |              2 |
| MF-Warburg                                                                                                    |              2 |
| Meno25                                                                                                        |              2 |
| Mike.lifeguard                                                                                                |              2 |
| Mike.lifeguard/monobook.js                                                                                    |              2 |
| Ooswesthoesbes_(usurped)~bawikibooks                                                                          |              2 |
| Werdan7                                                                                                       |              2 |
| Zigger                                                                                                        |              2 |
| Az1568                                                                                                        |              3 |
| Bastique                                                                                                      |              3 |
| Beau_(usurped)~bawikibooks                                                                                    |              3 |
| Dbenbenn_(usurped)~bawikibooks                                                                                |              3 |
| DerHexer                                                                                                      |              3 |
| Diego_Grez                                                                                                    |              3 |
| Diego_Grez-Cañete                                                                                             |              3 |
| Harald_Krichel_(SUL_problem)                                                                                  |              3 |
| HardDisk_(usurped)~bawikibooks                                                                                |              3 |
| Jorunn~bawikibooks                                                                                            |              3 |
| Llull~bawikibooks                                                                                             |              3 |
| MediaWiki_default                                                                                             |              3 |
| MediaWiki_spam_cleanup                                                                                        |              3 |
| Mike.lifeguard                                                                                                |              3 |
| Ooswesthoesbes_(usurped)~bawikibooks                                                                          |              3 |
| PDD_(usurped)~bawikibooks                                                                                     |              3 |
| Pathoschild                                                                                                   |              3 |
| Prevert_(usurped)~bawikibooks                                                                                 |              3 |
| Sevela.p                                                                                                      |              3 |
| Sir_Lestaty_de_Lioncourt                                                                                      |              3 |
| Spam_cleanup_script~bawikibooks                                                                               |              3 |
| Tafkas_(usurped)~bawikibooks                                                                                  |              3 |
| Tehut~bawikibooks                                                                                             |              3 |
| Werdan7                                                                                                       |              3 |
| Zigger                                                                                                        |              3 |
| Ævar_Arnfjörð_Bjarmason~bawikibooks                                                                           |              3 |
| Sitenotice                                                                                                    |              8 |
| Delete                                                                                                        |             10 |
| LQT-публикация,_импортированная_с_подавленным_пользователем                                                   |             10 |
| Candidates_for_speedy_deletion                                                                                |             14 |
+---------------------------------------------------------------------------------------------------------------+----------------+
54 rows in set (0.00 sec)

MariaDB [bawikibooks_p]>

I deliberately omitted those as they won't conflict with the import.

Dcljr added a subscriber: Dcljr.Aug 17 2017, 1:03 AM

Do we know how to avoid the problems that arose when the Dutch Wikinews was reopened (T168764)? In particular, see T169881 and T169861. Something went very wrong, and I don't know what it was.

Nothing went wrong from my POV. This refreshing on per month basis works for existing wikis (they do not change pages as masivelly as during creation). There is just a waiting time needed, or manual refresh.

Urbanecm claimed this task.Aug 17 2017, 4:40 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 17 2017, 4:40 AM
Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Aug 17 2017, 1:12 PM

I don't want to get ad-hominem here, but @Urbanecm how can you possibly think nothing went wrong?

The wiki was broken in odd ways not seen in newly-created wikis (as opposed to reopened wikis). The problem persisted for weeks after the wiki was open for editing. This is clearly not a good situation. How can we prevent it from happening again with this wiki (which is also a reopening)?

Dcljr updated the task description. (Show Details)Aug 17 2017, 11:05 PM

Change 372777 had a related patch set uploaded (by Odder; owner: Odder):
[operations/mediawiki-config@master] Add new logo for the Baskhir Wikibooks

https://gerrit.wikimedia.org/r/372777

tomasz added a subscriber: tomasz.Aug 20 2017, 7:57 AM

@Urbanecm Could you please have a look at the above patch? I was asked to create a localised logo for this project and uploaded it to Commons as File:Wikibooks-logo-ba.svg. Many thanks for your work on this!

I don't want to get ad-hominem here, but @Urbanecm how can you possibly think nothing went wrong?

The wiki was broken in odd ways not seen in newly-created wikis (as opposed to reopened wikis). The problem persisted for weeks after the wiki was open for editing. This is clearly not a good situation. How can we prevent it from happening again with this wiki (which is also a reopening)?

The wiki wasn't broken, statistics and links table aren't real-time. The script is being run monthly. But if it'll make you happy, I'll try to catch the import and ask for the script as soon as it will be finished. Is it okay for you?

The wiki wasn't broken, statistics and links table aren't real-time. The script is being run monthly. But if it'll make you happy, I'll try to catch the import and ask for the script as soon as it will be finished. Is it okay for you?

Categories weren't properly populated and transclusions of existing templates were showing up as redlinks. That's called being broken.

And, yes, if the same thing is going to happen this time (of course, it is unknown whether this wil be the case), then running refreshLinks.php (to fix the peviously mentioned problems) followed by updateArticleCount.php (to get a correct article count) shortly after importing is finished will make the wiki's editing community happy, I'm sure.

I can post here when importing is complete (as reflected at incubator:Project:Site creation log).

That will be great!

Change 372212 merged by jenkins-bot:
[operations/mediawiki-config@master] Reopen bawikibooks

https://gerrit.wikimedia.org/r/372212

Mentioned in SAL (#wikimedia-operations) [2017-08-21T13:10:45Z] <zfilipin@tin> Synchronized dblists/closed.dblist: SWAT: [[gerrit:372212|Reopen bawikibooks (T173471)]] (duration: 00m 44s)

Mentioned in SAL (#wikimedia-operations) [2017-08-21T13:11:37Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:372212|Reopen bawikibooks (T173471)]] (duration: 00m 44s)

Change 372777 merged by Zfilipin:
[operations/mediawiki-config@master] Add new logo for the Baskhir Wikibooks

https://gerrit.wikimedia.org/r/372777

Mentioned in SAL (#wikimedia-operations) [2017-08-21T13:26:41Z] <zfilipin@tin> Synchronized static/images/project-logos/: SWAT: [[gerrit:372777|Add new logo for the Baskhir Wikibooks (T173471)]] (duration: 00m 44s)

Mentioned in SAL (#wikimedia-operations) [2017-08-21T13:27:37Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:372777|Add new logo for the Baskhir Wikibooks (T173471)]] (duration: 00m 44s)

Urbanecm closed this task as Resolved.Aug 21 2017, 1:46 PM

Reopened. If any other configuration needs to be done, please create a new ticket. Namespace localization will be done in other tasks too (I've created them before a moment).

I imported the pages. Can you please run the scripts to update the statistics etc.?

Dcljr added a comment.EditedAug 24 2017, 2:30 AM

Yep, just like with the reopening of the Dutch Wikinews (T168764), the categories are not properly populated on the new Bashkir Wikibooks after importing. @MF-Warburg any ideas why this might be happening?

See, for example, b:ba:Башҡорт теле/Һүҙлектәр, which is supposed to be in the category b:ba:Категория::Һүҙлектәр, but the latter category shows up as completely empty (as I type this).

I don't know about existing templates showing up as redlinks. I haven't found any of those yet. I see lots of template-redlinks, but in those cases the templates really don't exist. Apparently some Incubator templates not specific to the Wb/ba test wiki still need to be imported. The offending templates are not yet showing up in b:ba:Special:WantedTemplates, but that appears to be due to normal cache timing issues (i.e., the cache of that special page has not been updated yet since importing was finished).

@Urbanecm Note that I have created T173994: Run refreshLinks.php then updateArticleCount.php on Bashkir Wikibooks.